Bullet Collision Detection & Physics Library: Bullet::btSliderConstraintData Class Reference

Bullet Collision Detection & Physics Library

Public Attributes | List of all members
Bullet::btSliderConstraintData Class Reference

`#include <bullet.h>`

Collaboration diagram for Bullet::btSliderConstraintData:
[legend]

## Public Attributes
btTypedConstraintData | m_typeConstraintData
btTransformFloatData | m_rbAFrame
btTransformFloatData | m_rbBFrame
float | m_linearUpperLimit
float | m_linearLowerLimit
float | m_angularUpperLimit
float | m_angularLowerLimit
int | m_useLinearReferenceFrameA
int | m_useOffsetForConstraintFrame

## Detailed Description

Definition at line 1190 of file bullet.h.

## Member Data Documentation

## ◆ m_angularLowerLimit

float Bullet::btSliderConstraintData::m_angularLowerLimit

Definition at line 1199 of file bullet.h.

## ◆ m_angularUpperLimit

float Bullet::btSliderConstraintData::m_angularUpperLimit

Definition at line 1198 of file bullet.h.

## ◆ m_linearLowerLimit

float Bullet::btSliderConstraintData::m_linearLowerLimit

Definition at line 1197 of file bullet.h.

## ◆ m_linearUpperLimit

float Bullet::btSliderConstraintData::m_linearUpperLimit

Definition at line 1196 of file bullet.h.

## ◆ m_rbAFrame

btTransformFloatData Bullet::btSliderConstraintData::m_rbAFrame

Definition at line 1194 of file bullet.h.

## ◆ m_rbBFrame

btTransformFloatData Bullet::btSliderConstraintData::m_rbBFrame

Definition at line 1195 of file bullet.h.

## ◆ m_typeConstraintData

btTypedConstraintData Bullet::btSliderConstraintData::m_typeConstraintData

Definition at line 1193 of file bullet.h.

## ◆ m_useLinearReferenceFrameA

int Bullet::btSliderConstraintData::m_useLinearReferenceFrameA

Definition at line 1200 of file bullet.h.

## ◆ m_useOffsetForConstraintFrame

int Bullet::btSliderConstraintData::m_useOffsetForConstraintFrame

Definition at line 1201 of file bullet.h.

The documentation for this class was generated from the following file:

- bullet.h